# PVXMLPlayableFile Class Reference

`#include <vxml.h>`

Inheritance diagram for PVXMLPlayableFile:

List of all members.

## Public Member Functions

virtual PBoolean | Open (PVXMLChannel &chan, const PString &arg, PINDEX delay, PINDEX repeat, PBoolean autoDelete)
virtual bool | OnStart ()
virtual bool | OnRepeat ()
virtual void | OnStop ()

## Protected Attributes

PFilePath | m_filePath

## Member Function Documentation

virtual bool PVXMLPlayableFile::OnRepeat | ( |  | ) | `[virtual]`

Reimplemented from PVXMLPlayable.

Reimplemented in PVXMLPlayableFileList.

virtual bool PVXMLPlayableFile::OnStart | ( |  | ) | `[virtual]`

Implements PVXMLPlayable.

Reimplemented in PVXMLPlayableFileList.

virtual void PVXMLPlayableFile::OnStop | ( |  | ) | `[virtual]`

Reimplemented from PVXMLPlayable.

Reimplemented in PVXMLPlayableFileList.

virtual PBoolean PVXMLPlayableFile::Open | ( | PVXMLChannel & | chan,
|  | const PString & | arg,
|  | PINDEX | delay,
|  | PINDEX | repeat,
|  | PBoolean | autoDelete |
| ) |  |  | `[virtual]`

Reimplemented from PVXMLPlayable.

Reimplemented in PVXMLPlayableFileList.

## Member Data Documentation

PFilePath PVXMLPlayableFile::m_filePath `[protected]`

The documentation for this class was generated from the following file:

- vxml.h